Index: trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make
===================================================================
--- trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1563)
+++ trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1621)
@@ -2932,18 +2950,23 @@
 	$(MODEL_LIB)(seddta.o) \
 	$(MODEL_LIB)(sedmat.o) \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
+	daymod.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
+	sed.F90 \
 	sedarr.F90 \
 	sedco3.F90 \
 	seddsr.F90 \
 	seddta.F90 \
-	sed.F90 \
 	sedmat.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedadv.o) \
 	$(MODEL_LIB)(sedbtb.o) \
@@ -2953,8 +2976,8 @@
 	$(MODEL_LIB)(seddta.o) \
 	$(MODEL_LIB)(sedmbc.o) \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedrst.o) \
 	$(MODEL_LIB)(sedsfc.o) \
 	$(MODEL_LIB)(sedwri.o) \
+	sed.F90 \
 	sedadv.F90 \
 	sedbtb.F90 \
@@ -2963,5 +2986,4 @@
 	seddsr.F90 \
 	seddta.F90 \
-	sed.F90 \
 	sedmbc.F90 \
 	sedrst.F90 \
@@ -2971,7 +2993,4 @@
 	sedstp.F90
 $(MODEL_LIB)(sedwri.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2983,4 +3002,7 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2989,10 +3011,10 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(sed.o) \
+	$(MODEL_LIB)(sedarr.o) \
 	dianam.F90 \
-	$(MODEL_LIB)(dianam.o) \
-	$(MODEL_LIB)(sedarr.o) \
-	$(MODEL_LIB)(sed.o) \
+	sed.F90 \
 	sedarr.F90 \
-	sed.F90 \
 	$(IOIPSL_LIB) \
 	KEY_CPP \
@@ -3043,27 +3065,12 @@
 	sol_oce.F90
 $(MODEL_LIB)(step.o) :	\
-	dianam.F90 \
-	dom_oce.F90 \
-	eosbn2.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfeiv.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
 	$(MODEL_LIB)(iom_nf90.o) \
-	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -3084,21 +3091,36 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trabbl.o) \
+	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcdia.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcrst.o) \
+	$(MODEL_LIB)(trcsms.o) \
 	$(MODEL_LIB)(trcsms_c14b.o) \
 	$(MODEL_LIB)(trcsms_cfc.o) \
 	$(MODEL_LIB)(trcsms_my_trc.o) \
-	$(MODEL_LIB)(trcsms.o) \
+	$(MODEL_LIB)(trctrp.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
-	$(MODEL_LIB)(trctrp.o) \
 	$(MODEL_LIB)(trcwri.o) \
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
 	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	eosbn2.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	ldfeiv.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	oce_trc.F90 \
@@ -3112,10 +3134,10 @@
 	sms_pisces.F90 \
 	trabbl.F90 \
+	trc.F90 \
 	trcdia.F90 \
-	trc.F90 \
 	trcrst.F90 \
+	trcsms.F90 \
 	trcsms_c14b.F90 \
 	trcsms_cfc.F90 \
-	trcsms.F90 \
 	trcsms_my_trc.F90 \
 	trctrp.F90 \
@@ -3125,16 +3147,8 @@
 	trdmld_trc_oce.F90 \
 	trp_trc.F90 \
+	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
-	zdf_oce.F90 \
 	zpshde.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
-	dtadyn.F90 \
-	eosbn2.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	ldftra_oce.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3151,4 +3165,12 @@
 	$(MODEL_LIB)(trcstp.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
+	daymod.F90 \
+	dom_oce.F90 \
+	dtadyn.F90 \
+	eosbn2.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	lbclnk.F90 \
+	ldftra_oce.F90 \
 	oce.F90 \
 	stpctl.F90 \
@@ -3161,38 +3183,38 @@
 	step.F90
 $(MODEL_LIB)(stpctl.o) :	\
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
 	dom_oce.F90 \
 	in_out_manager.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
 	oce.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
 	oce.F90 \
 	stpctl.F90
 $(MODEL_LIB)(trabbl.o) :	\
-	lib_print.f90 \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	in_out_manager.F90 \
 	domzgr_substitute.h90 \
 	vectopt_loop_substitute.h90 \
